Package org.eclipse.m2m.atl.debug.core

# Class AtlExpression

java.lang.Object
org.eclipse.m2m.atl.debug.core.AtlExpression

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.debug.core.IDebugEventSetListener`, `org.eclipse.debug.core.model.IDebugElement`, `org.eclipse.debug.core.model.IExpression`

public class AtlExpression extends Object implements org.eclipse.debug.core.model.IExpression, org.eclipse.debug.core.IDebugEventSetListener
The ATL Expression definition (for debug).

## Constructor Summary

Constructors
Constructor
Description
`AtlExpression(AtlDebugTarget atlDT, String snippet)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`<T> T`
`getAdapter(Class<T> adapter)`
Not use in our context.
`org.eclipse.debug.core.model.IDebugTarget`
`getDebugTarget()`
`String`
`getExpressionText()`
`org.eclipse.debug.core.ILaunch`
`getLaunch()`
`String`
`getModelIdentifier()`
`org.eclipse.debug.core.model.IValue`
`getValue()`
`void`
`handleDebugEvents(org.eclipse.debug.core.DebugEvent[] events)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlExpression

public AtlExpression(AtlDebugTarget atlDT, String snippet)
Constructor.

Parameters:
  `atlDT` - debug target
  `snippet` - expression

## Method Details

### getExpressionText

public String getExpressionText()

Specified by:
  `getExpressionText` in interface `org.eclipse.debug.core.model.IExpression`
See Also:
  - `IExpression.getExpressionText()`

### getValue

public org.eclipse.debug.core.model.IValue getValue()

Specified by:
  `getValue` in interface `org.eclipse.debug.core.model.IExpression`
See Also:
  - `IExpression.getValue()`

### getDebugTarget

public org.eclipse.debug.core.model.IDebugTarget getDebugTarget()

Specified by:
  `getDebugTarget` in interface `org.eclipse.debug.core.model.IDebugElement`
Specified by:
  `getDebugTarget` in interface `org.eclipse.debug.core.model.IExpression`
See Also:
  - `IExpression.getDebugTarget()`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.debug.core.model.IExpression`
See Also:
  - `IExpression.dispose()`

### getModelIdentifier

public String getModelIdentifier()

Specified by:
  `getModelIdentifier` in interface `org.eclipse.debug.core.model.IDebugElement`
See Also:
  - `IDebugElement.getModelIdentifier()`

### getLaunch

public org.eclipse.debug.core.ILaunch getLaunch()

Specified by:
  `getLaunch` in interface `org.eclipse.debug.core.model.IDebugElement`
See Also:
  - `IDebugElement.getLaunch()`

### getAdapter

public <T> T getAdapter(Class<T> adapter)
Not use in our context.

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
See Also:
  - `IAdaptable.getAdapter(java.lang.Class)`

### handleDebugEvents

public void handleDebugEvents(org.eclipse.debug.core.DebugEvent[] events)

Specified by:
  `handleDebugEvents` in interface `org.eclipse.debug.core.IDebugEventSetListener`
See Also:
  - `IDebugEventSetListener.handleDebugEvents(org.eclipse.debug.core.DebugEvent[])`